Subject: Re: Git v2.21.0-rc0 broken on *BSD, maybe others

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 12 Feb 2019 14:16:45 +0100

On Tue, Feb 12 2019, Ævar Arnfjörð Bjarmason wrote:

> On Tue, Feb 12 2019, Duy Nguyen wrote:
>
>> On Tue, Feb 12, 2019 at 7:43 PM Duy Nguyen <[email-masked]> wrote:
>>> The test failures on NetBSD and Solaris/Sparc, not sure if we can do
>>> anything without test logs or access to these systems.
>>
>> Actually if you could tweak your ci script a bit to run tests with -v,
>> that would help.
>
> I vaguely remember doing that and running into some issue where it
> truncated the output, so e.g. I wouldn't see compile warnings on AIX
> because of the firehose of subsequent test output.
>
> But yeah, having this in some smart way would be great. I'd be most keen
> to just work towards offloading this to some smarter test runner as
> noted to Johannes upthread.
>
> I.e. a good test_for(SHA1, params) function would run the tests with
> "prove", and e.g. spot that tests so-and-so failed, and then run those
> specific ones with -v -x.
>
> That's how I was going to fix the log overflow problem, but I'd much
> rather not continue hacking on this gitlab-gccfarm-specific thing, and
> instead work towards something more general.

Also, I forgot to note that if you'd like to get a login on those boxes
you can just request an account as noted in
https://public-inbox.org/git/[email-masked]/